## kcmutils 5.80.0

=== debian/changelog ===
kcmutils (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:26 +0000

kcmutils (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:03 +0000

=== debian/control ===
Source: kcmutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               graphviz,
               libkf5configwidgets-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5declarative-dev (>= 5.80.0~),
               libkf5guiaddons-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5itemviews-dev (>= 5.80.0~),
               libkf5service-dev (>= 5.80.0~),
               libkf5xmlgui-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcmutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcmutils.git
Rules-Requires-Root: no

Package: libkf5kcmutils-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf5kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.80.0~),
         libkf5itemviews-dev (>= 5.80.0~),
         libkf5kcmutils5 (= ${binary:Version}),
         libkf5service-dev (>= 5.80.0~),
         libkf5xmlgui-dev (>= 5.80.0~),
         ${misc:Depends},
Recommends: libkf5kcmutils-doc (= ${source:Version})
Description: Extra APIs to write KConfig modules.
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf5kcmutils5
Architecture: any
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
Breaks: libkf5kdelibs4support5 (<<5.69~)

## kcmutils 5.86.0

=== debian/changelog ===
kcmutils (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:34 +0100

kcmutils (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:13 +0100

kcmutils (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:42 +0100

kcmutils (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:33 +0100

kcmutils (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:07 +0100

kcmutils (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5declarative-dev (>= 5.80.0~),
-               libkf5guiaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5itemviews-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5declarative-dev (>= 5.86.0~),
+               libkf5guiaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5itemviews-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -46,11 +46,11 @@
 Package: libkf5kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.80.0~),
-         libkf5itemviews-dev (>= 5.80.0~),
+Depends: libkf5configwidgets-dev (>= 5.86.0~),
+         libkf5itemviews-dev (>= 5.86.0~),
          libkf5kcmutils5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.80.0~),
-         libkf5xmlgui-dev (>= 5.80.0~),
+         libkf5service-dev (>= 5.86.0~),
+         libkf5xmlgui-dev (>= 5.86.0~),
          ${misc:Depends},
 Recommends: libkf5kcmutils-doc (= ${source:Version})
 Description: Extra APIs to write KConfig modules.

## kcmutils 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KCMUtils VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets DBus Qml Quick QuickWidgets Test)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCMUTILS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcmutils_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KCMUtilsConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5ItemViews ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Declarative ${KF_DEP_VERSION} REQUIRED)

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "KCMODULECONTAINER"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.90.0
    KSERVICE 5.78 # for KPluginInfo::dependencies
    KCOREADDONS 5.78 # for KPluginInfo::dependencies
    QUICKADDONS 5.87 # for ConfigModule::aboutData
    KCONFIGWIDGETS 5.84 # for KCModule::aboutData and corresponding constructor
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcmutils5\")
ki18n_install(po)
add_subdirectory(src)
if(BUILD_TESTING)
add_subdirectory(autotests)
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KCMUtils")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5KCMUtils_QCH
        FILE KF5KCMUtilsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5KCMUtilsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KCMUtilsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KCMUtilsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KCMUtilsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KCMUtilsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(
    FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/KF5KCMUtilsMacros.cmake
    ${CMAKE_CURRENT_SOURCE_DIR}/src/kcmutilsgeneratemoduledata.cpp.in
    ${CMAKE_CURRENT_SOURCE_DIR}/src/kcmutilsgeneratemoduledata.h.in
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT KF5KCMUtilsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KCMUtilsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcmutils_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_subdirectory(core)

########### kcmutils ###############
set(kcmutils_LIB_SRCS
    kcmodulecontainer.cpp
    kcmodulecontainer.h
    kcmoduledata.cpp
    kcmoduledata.h
    kcmoduleinfo.cpp
    kcmoduleinfo.h
    kcmoduleloader.cpp
    kcmoduleloader.h
    kcmoduleproxy.cpp
    kcmoduleproxy.h
    kcmoduleproxy_p.h
    kcmoduleqml.cpp
    kcmoduleqml_p.h
    kcmultidialog.cpp
    kcmultidialog.h
    kcmultidialog_p.h
    kpluginselector.cpp
    kpluginselector.h
    kpluginselector_p.h
    kpluginwidget.cpp
    ksettings/dialog.cpp
    ksettings/dialog.h
    ksettings/dialog_p.h
    ksettings/dispatcher.cpp
    ksettings/dispatcher.h
    ksettings/dispatcher_p.h
    ksettings/pluginpage.cpp
    ksettings/pluginpage.h
    ksettingswidgetadaptor.cpp
    ksettingswidgetadaptor.h
)

add_library(KF5KCMUtils ${kcmutils_LIB_SRCS})
ecm_generate_export_header(KF5KCMUtils
    BASE_NAME KCMUtils
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.66 5.76 5.82 5.85 5.87 5.88 5.90
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)
target_include_directories(KF5KCMUtils INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils>")

target_link_libraries(KF5KCMUtils
  PUBLIC
    Qt${QT_MAJOR_VERSION}::Widgets
    KF5::ConfigWidgets  # KCModule
    KF5::Service        # KService
  PRIVATE
    KF5KCMUtilsCore
    Qt${QT_MAJOR_VERSION}::DBus       # dbus usage in kcmoduleproxy.cpp
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickWidgets
    KF5::CoreAddons
    KF5::GuiAddons # KIconUtils
    KF5::I18n
    KF5::ItemViews       # KWidgetItemDelegate
    KF5::XmlGui          # KAboutApplicationDialog
    KF5::QuickAddons
    KF5::Declarative
)

if (QT_MAJOR_VERSION STREQUAL "6")
    # TODO: instead of relying on KF5ConfigWidgetsConfig.cmake optionally getting KAuth dependency,
    # have KF5ConfigWidgetsConfig.cmake provide a proper flag/property about using the KAuth feature
    if (TARGET KF5::AuthWidgets)
        # KF5::ConfigWidgets has only KF5::AuthCore in public interface in KF6
        target_link_libraries(KF5KCMUtils PRIVATE KF5::AuthWidgets) # KAuth::ObjectDecorator
    endif()
endif()

set_target_properties(KF5KCMUtils PROPERTIES
                      VERSION ${KCMUTILS_VERSION}
                      SOVERSION ${KCMUTILS_SOVERSION}
                      EXPORT_NAME KCMUtils)

ecm_generate_headers(KCMUtils_HEADERS
  HEADER_NAMES
  KCModuleInfo
  KCModuleLoader
  KCMultiDialog
  KCModuleProxy
  KPluginSelector
  KCModuleContainer
  KCModuleData
  KPluginWidget

  REQUIRED_HEADERS KCMUtils_HEADERS
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcmutils_export.h
  ${KCMUtils_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils COMPONENT Devel
)

ecm_generate_headers(KSettings_HEADERS
  HEADER_NAMES
  Dispatcher
  Dialog
  PluginPage

  RELATIVE ksettings
  REQUIRED_HEADERS KSettings_HEADERS
)
install(FILES
  ${KSettings_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils/ksettings COMPONENT Devel
)

install(TARGETS KF5KCMUtils EXPORT KF5KCMUtilsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
 kcmodule.desktop
 kcmoduleinit.desktop
DESTINATION  ${KDE_INSTALL_KSERVICETYPESDIR} )

if(BUILD_QCH)
    ecm_add_qch(
        KF5KCMUtils_QCH
        NAME KCMUtils
        BASE_NAME KF5KCMUtils
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCMUtils_HEADERS}
            ${KSettings_HEADERS}
            ksettings/README.dox
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Widgets_QCH
            KF5ConfigWidgets_QCH
            KF5Service_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCMUTILS_EXPORT
            KCMUTILS_DEPRECATED
            KCMUTILS_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KCMUtils LIB_NAME KF5KCMUtils DEPS "widgets KConfigWidgets KService" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KCMUtils)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_qt_install_logging_categories(
    EXPORT KCMUTILS
    FILE kcmutils.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== src/core/CMakeLists.txt ===
add_library(KF5KCMUtilsCore STATIC)

ecm_qt_declare_logging_category(KF5KCMUtilsCore
    HEADER kcmutils_debug.h
    IDENTIFIER KCMUTILS_LOG
    CATEGORY_NAME kf.kcmutils
    DESCRIPTION "KCMUtils"
    EXPORT KCMUTILS
)


target_sources(KF5KCMUtilsCore PRIVATE kpluginmodel.cpp)
target_link_libraries(KF5KCMUtilsCore
  PUBLIC
    KF5::CoreAddons
  PRIVATE
    KF5::Service # KServiceTypeTrader compat code path
    KF5::ItemViews
)
# Needed to link this static lib to shared libs
set_property(TARGET KF5KCMUtilsCore PROPERTY POSITION_INDEPENDENT_CODE ON)

# install this lib only in case of static builds, it is internal only
if (NOT BUILD_SHARED_LIBS)
    install(TARGETS KF5KCMUtilsCore EXPORT KF5KCMUtilsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== debian/changelog ===
kcmutils (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:38 +0000

kcmutils (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:01 +0000

kcmutils (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:45:18 +0000

kcmutils (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:47 +0000

kcmutils (5.88.0-1ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:48 +0000

kcmutils (5.88.0-1ubuntu2) jammy; urgency=medium

  * Really keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 13:38:30 +0000

kcmutils (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 12:47:17 +0000

kcmutils (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kcmutils (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:17:03 +0000

kcmutils (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:04:24 +0000

kcmutils (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:50:39 +0900

kcmutils (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kcmutils (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:01:11 +0900

kcmutils (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:59 +0900

kcmutils (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:14:29 +0900

kcmutils (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Update symbols (some not exported symbols have been dropped).

 -- Norbert Preining <norbert@preining.info>  Sun, 09 May 2021 10:16:26 +0900

kcmutils (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kcmutils (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:32 +0900

kcmutils (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

=== debian/control ===
Source: kcmutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5declarative-dev (>= 5.92.0~),
               libkf5guiaddons-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5itemviews-dev (>= 5.92.0~),
               libkf5service-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcmutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcmutils
Rules-Requires-Root: no

Package: libkf5kcmutils-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf5kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.92.0~),
         libkf5itemviews-dev (>= 5.92.0~),
         libkf5kcmutils5 (= ${binary:Version}),
         libkf5service-dev (>= 5.92.0~),
         libkf5xmlgui-dev (>= 5.92.0~),
         ${misc:Depends},
Recommends: libkf5kcmutils-doc (= ${source:Version})
Description: Extra APIs to write KConfig modules.
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf5kcmutils5
Architecture: any
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
Breaks: libkf5kdelibs4support5 (<<5.69~)

## kcmutils 5.98.0

=== debian/changelog ===
kcmutils (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:32 +0100

kcmutils (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:02:40 +0100

kcmutils (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:42 +0100

kcmutils (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:01 +0100

kcmutils (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Add new binary packages libkf5kcmutilscore5 and qml-module-org-kde-
    kcmutils
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:17:45 +0100

kcmutils (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5configwidgets-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5declarative-dev (>= 5.92.0~),
-               libkf5guiaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5itemviews-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
+               libkf5guiaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5itemviews-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,11 +45,12 @@
 Package: libkf5kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.92.0~),
-         libkf5itemviews-dev (>= 5.92.0~),
+Depends: libkf5configwidgets-dev (>= 5.98.0~),
+         libkf5itemviews-dev (>= 5.98.0~),
          libkf5kcmutils5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.92.0~),
-         libkf5xmlgui-dev (>= 5.92.0~),
+         libkf5kcmutilscore5 (= ${binary:Version}),
+         libkf5service-dev (>= 5.98.0~),
+         libkf5xmlgui-dev (>= 5.98.0~),
          ${misc:Depends},
 Recommends: libkf5kcmutils-doc (= ${source:Version})
 Description: Extra APIs to write KConfig modules.
@@ -79,3 +80,21 @@
  KCMUtils provides various classes to work with KCModules. KCModules can be
  created with the KConfigWidgets framework.
 Breaks: libkf5kdelibs4support5 (<<5.69~)
+
+Package: libkf5kcmutilscore5
+Architecture: any
+Depends: libkf5kcmutils-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Extra APIs to write KConfig modules.
+ KCMUtils provides various classes to work with KCModules. KCModules can be
+ created with the KConfigWidgets framework.
+
+Package: qml-module-org-kde-kcmutils
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Extra APIs to write KConfig modules.
+ KCMUtils provides various classes to work with KCModules. KCModules can be
+ created with the KConfigWidgets framework.

## kcmutils 5.102.0

=== debian/changelog ===
kcmutils (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

kcmutils (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:37 +0100

kcmutils (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

kcmutils (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:26 +0200

kcmutils (5.97.0+really5.97.0-2) unstable; urgency=medium

  * Team upload.
  * Add libkf5kcmutils-bin as dependency in libkf5kcmutils-dev, so the cmake
    config files work.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2022 07:08:08 +0200

kcmutils (5.97.0+really5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload with a +really version to work around the broken .asc signature
    file in the 5.97.0-1 upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Aug 2022 09:58:09 +0200

kcmutils (5.97.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 19:01:56 +0200

kcmutils (5.97.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Add libkf5kcmutils5-bin package to ship the new
    kcmdesktopfilegenerator binary.
  * Drop obsolete Breaks/Replaces.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Aug 2022 18:37:45 +0200

kcmutils (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

kcmutils (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 08:55:09 +0200

kcmutils (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Add symbols for libkf5kcmutilscore5.
  * Short descriptions shouldn't be sentences.
  * Review copyright information.

  [ Rik Mills ]
  * Add new binary packages libkf5kcmutilscore5 and
    qml-module-org-kde-kcmutils.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kcmutils (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

kcmutils (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.
  * Drop the unused 'testsuite' autopkgtest.
  * Drop the unused debian/meta/ stuff.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Feb 2022 10:29:00 +0100

kcmutils (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
Source: kcmutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5itemviews-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcmutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcmutils.git
Rules-Requires-Root: no

Package: libkf5kcmutils-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: runtime files for kcmutils
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 Contains runtime files for kcmutils.

Package: libkf5kcmutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf5kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.102.0~),
         libkf5itemviews-dev (>= 5.102.0~),
         libkf5kcmutils-bin (= ${binary:Version}),
         libkf5kcmutils5 (= ${binary:Version}),
         libkf5kcmutilscore5 (= ${binary:Version}),
         libkf5service-dev (>= 5.102.0~),
         libkf5xmlgui-dev (>= 5.102.0~),
         ${misc:Depends},
Recommends: libkf5kcmutils-doc (= ${source:Version})
Description: Extra APIs to write KConfig modules
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.

Package: libkf5kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf5kcmutils5
Architecture: any
Multi-Arch: same
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kcmutils-bin (= ${binary:Version})
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
Breaks: libkf5kdelibs4support5 (<<5.69~)

Package: libkf5kcmutilscore5
Architecture: any
Multi-Arch: same
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: qml-module-org-kde-kcmutils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

## kcmutils 5.103.0

=== debian/changelog ===
kcmutils (5.103.0-3) unstable; urgency=medium

  * Fix installation broken in previous change for Multi-Arch support.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 12:50:51 +0100

kcmutils (5.103.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Make libkf5kcmutils-bin Multi-Arch: foreign, thx to Helmut Grohne
    (Closes: #1022135).

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Feb 2023 19:10:11 +0100

kcmutils (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

=== debian/control ===
Source: kcmutils
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5configwidgets-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5declarative-dev (>= 5.103.0~),
               libkf5guiaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5itemviews-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               libkf5xmlgui-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcmutils
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcmutils.git
Rules-Requires-Root: no

Package: libkf5kcmutils-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runtime files for kcmutils
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 Contains runtime files for kcmutils.

Package: libkf5kcmutils-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf5kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.103.0~),
         libkf5itemviews-dev (>= 5.103.0~),
         libkf5kcmutils-bin (= ${binary:Version}),
         libkf5kcmutils5 (= ${binary:Version}),
         libkf5kcmutilscore5 (= ${binary:Version}),
         libkf5service-dev (>= 5.103.0~),
         libkf5xmlgui-dev (>= 5.103.0~),
         ${misc:Depends},
Recommends: libkf5kcmutils-doc (= ${source:Version}),
Breaks: libkf5kcmutils-bin (<< 5.103.0-2~),
Replaces: libkf5kcmutils-bin (<< 5.103.0-2~),
Description: Extra APIs to write KConfig modules
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.

Package: libkf5kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf5kcmutils5
Architecture: any
Multi-Arch: same
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kcmutils-bin (= ${binary:Version}),
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
Breaks: libkf5kdelibs4support5 (<<5.69~),

Package: libkf5kcmutilscore5
Architecture: any
Multi-Arch: same
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: qml-module-org-kde-kcmutils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Extra APIs to write KConfig modules
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# see FEATURE AREAS in dpkg-buildflags(1)
# Disable fixfilepath as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

## kcmutils 5.104.0

=== debian/changelog ===
kcmutils (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:51 +0000

kcmutils (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:46 +0000

kcmutils (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:39 +0000

kcmutils (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:18:55 +0000

kcmutils (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:27 +0000

kcmutils (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:42 +0000

=== debian/control ===
Source: kcmutils
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libkf5configwidgets-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5declarative-dev (>= 5.104.0~),
               libkf5guiaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5itemviews-dev (>= 5.104.0~),
               libkf5service-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kcmutils
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcmutils
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcmutils
Rules-Requires-Root: no

Package: libkf5kcmutils-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Breaks: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5kcmutils5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the data files.

Package: libkf5kcmutils-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev (>= 5.104.0~),
         libkf5itemviews-dev (>= 5.104.0~),
         libkf5kcmutils5 (= ${binary:Version}),
         libkf5kcmutilscore5 (= ${binary:Version}),
         libkf5service-dev (>= 5.104.0~),
         libkf5xmlgui-dev (>= 5.104.0~),
         ${misc:Depends},
Recommends: libkf5kcmutils-doc (= ${source:Version})
Description: Extra APIs to write KConfig modules.
 Some utility classes for KSettings, KCModule and KPlugin.
 .
 Contains development files for kcmutils.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5kcmutils-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra APIs to write KConfig modules (documentation)
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
 .
 This package contains the qch documentation files.

Package: libkf5kcmutils5
Architecture: any
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.
Breaks: libkf5kdelibs4support5 (<<5.69~)

Package: libkf5kcmutilscore5
Architecture: any
Depends: libkf5kcmutils-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

Package: qml-module-org-kde-kcmutils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Extra APIs to write KConfig modules.
 KCMUtils provides various classes to work with KCModules. KCModules can be
 created with the KConfigWidgets framework.

## kcmutils 5.109.0

=== debian/changelog ===
kcmutils (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:31 +0100

kcmutils (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:59 +0100

kcmutils (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:59 +0100

kcmutils (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5configwidgets-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5declarative-dev (>= 5.104.0~),
-               libkf5guiaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5itemviews-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
-               libkf5xmlgui-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5configwidgets-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5declarative-dev (>= 5.109.0~),
+               libkf5guiaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5itemviews-dev (>= 5.109.0~),
+               libkf5service-dev (>= 5.109.0~),
+               libkf5xmlgui-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,12 +45,12 @@
 Package: libkf5kcmutils-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.104.0~),
-         libkf5itemviews-dev (>= 5.104.0~),
+Depends: libkf5configwidgets-dev (>= 5.109.0~),
+         libkf5itemviews-dev (>= 5.109.0~),
          libkf5kcmutils5 (= ${binary:Version}),
          libkf5kcmutilscore5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.104.0~),
-         libkf5xmlgui-dev (>= 5.104.0~),
+         libkf5service-dev (>= 5.109.0~),
+         libkf5xmlgui-dev (>= 5.109.0~),
          ${misc:Depends},
 Recommends: libkf5kcmutils-doc (= ${source:Version})
 Description: Extra APIs to write KConfig modules.
